Subject: bug#22807: 2016-01-31; TeX-view does not jump to correct place in PDF file, texlive 2015

From: Mosè Giordano <[email-masked]>
Date: Fri, 1 Apr 2016 13:17:06 +0200

2016-04-01 12:56 GMT+02:00 Uwe Brauer <[email-masked]>:
> Here are its value
> exec-bib:
>
> ,----
> | exec-path is a variable defined in ‘C source code’.
> | Its value is
> | ("/opt/texbin" "/usr/local/sbin" "/usr/local/bin" "/usr/sbin" "/opt/trinity/bin" "/usr/bin" "/sbin" "/bin" "/usr/games" "/home/oub/scripts/" "/home/oub/scripts/lenaked/" "/home/oub/scripts/" "/home/oub/scripts/lenaked/" "/opt/emacs25/libexec/emacs/25.1.50/i686-pc-linux-gnu")
> |
> | Original value was
> | ("/opt/texbin" "/usr/local/sbin" "/usr/local/bin" "/usr/sbin" "/opt/trinity/bin" "/usr/bin" "/sbin" "/bin" "/usr/games" "/home/oub/scripts" "/home/oub/scripts/lenaked" "/home/oub/scripts" "/home/oub/scripts/lenaked" "/opt/emacs25/libexec/emacs/25.1.50/i686-pc-linux-gnu")
> `----
>
>
> And
> (getenv  "PATH")
> "/opt/texbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/opt/trinity/bin:/usr/bin:/sbin:/bin:/usr/games:/home/oub/scripts/:/home/oub/scripts/lenaked/:/home/oub/scripts/:/home/oub/scripts/lenaked/"
>
>     > In addition, did you try to clean all auxiliary files and
>     > recompile with pdflatex from TeX Live 2015?  I don't know, maybe the
>     > format of SyncTeX files slightly changed in the meantime and are
>     > forward incompatibles.
>
> I did this and  I compiled again.
>
> Search forward does not work, emacs opens (okular) always at the first
> page.
>
> Odd, no?

Yes, it's weird, it works for me flawless with Okular as viewer and
TeX Live 2015 installed with the same method.  In a LaTeX buffer, what
does

    (TeX-synctex-output-page-1 (buffer-file-name))

return for you?  If it returns nil, it would be great if you could
edebug the function `TeX-synctex-output-page-1'.

Bye,
Mosè